From patchwork Mon Nov 14 12:48:52 2022
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Patchwork-Submitter: Jason Yan <yanaijie@huawei.com>
X-Patchwork-Id: 183120
Return-Path: <yanaijie@huawei.com>
Received: from dggems703-chm.china.huawei.com (10.3.19.180) by
 dggems702-chm.china.huawei.com (10.3.19.179) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256) id
 15.1.2375.31 via Mailbox Transport; Mon, 14 Nov 2022 20:32:22 +0800
Received: from canpemm500004.china.huawei.com (7.192.104.92) by
 dggems703-chm.china.huawei.com (10.3.19.180) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256) id
 15.1.2375.31; Mon, 14 Nov 2022 20:32:22 +0800
Received: from huawei.com (10.175.127.227) by canpemm500004.china.huawei.com
 (7.192.104.92) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256) id 15.1.2375.31; Mon, 14 Nov
 2022 20:32:21 +0800
From: Jason Yan <yanaijie@huawei.com>
To: <yanaijie@huawei.com>, <zhengzengkai@huawei.com>, <xiexiuqi@huawei.com>,
	<yi.zhang@huawei.com>, <patchwork@huawei.com>, <kernel.openeuler@huawei.com>,
	<houtao1@huawei.com>
Subject: [PATCH OLK-5.10 v2 023/308] cifsd: clean-up codes using chechpatch.pl
 --strict
Date: Mon, 14 Nov 2022 20:48:52 +0800
Message-ID: <20221114125337.1831594-24-yanaijie@huawei.com>
X-Mailer: git-send-email 2.31.1
In-Reply-To: <20221114125337.1831594-1-yanaijie@huawei.com>
References: <20221114125337.1831594-1-yanaijie@huawei.com>
Content-Type: text/plain
X-MS-Exchange-Organization-Network-Message-Id: 
 9f3b704d-0bf3-47cb-5e4c-08dac63c4723
X-MS-Exchange-Organization-AuthSource: canpemm500004.china.huawei.com
X-MS-Exchange-Organization-AuthAs: Internal
X-MS-Exchange-Organization-AuthMechanism: 07
X-Originating-IP: [10.175.127.227]
X-ClientProxiedBy: dggems702-chm.china.huawei.com (10.3.19.179) To
 canpemm500004.china.huawei.com (7.192.104.92)
X-MS-Exchange-Transport-EndToEndLatency: 00:00:01.0594383
X-MS-Exchange-Processed-By-BccFoldering: 15.01.2375.031
MIME-Version: 1.0

From: Namjae Jeon <namjae.jeon@samsung.com>

mainline inclusion
from mainline-5.15-rc1
commit 64b39f4a2fd293cf899dd8062c57ce3715dd7ee9
category: feature
bugzilla: https://gitee.com/openeuler/kernel/issues/I60T7G
CVE: NA

Reference: https://git.kernel.org/torvalds/linux/c/64b39f4a2fd2

-------------------------------

Dan Carpenter suggested to run chechpatch.pl --strict on ksmbd to fix
check warnings. This patch does not fix all warnings but only things that
I can understand.

Signed-off-by: Namjae Jeon <namjae.jeon@samsung.com>
Signed-off-by: Steve French <stfrench@microsoft.com>
Signed-off-by: Jason Yan <yanaijie@huawei.com>
---
 fs/cifsd/auth.c              | 117 ++---
 fs/cifsd/buffer_pool.c       |   3 +-
 fs/cifsd/connection.c        |  23 +-
 fs/cifsd/connection.h        |  34 +-
 fs/cifsd/glob.h              |  14 +-
 fs/cifsd/ksmbd_server.h      |  94 ++--
 fs/cifsd/mgmt/user_session.h |   4 +-
 fs/cifsd/misc.c              |   9 +-
 fs/cifsd/ndr.c               |   9 +-
 fs/cifsd/netmisc.c           |   2 -
 fs/cifsd/oplock.c            | 118 +++--
 fs/cifsd/oplock.h            |  24 +-
 fs/cifsd/server.c            |  35 +-
 fs/cifsd/smb2misc.c          |  81 ++--
 fs/cifsd/smb2ops.c           |   2 +-
 fs/cifsd/smb2pdu.c           | 827 +++++++++++++++--------------------
 fs/cifsd/smb2pdu.h           | 129 +++---
 fs/cifsd/smb_common.c        |  68 ++-
 fs/cifsd/smb_common.h        |   4 +-
 fs/cifsd/smbacl.c            |  85 ++--
 fs/cifsd/time_wrappers.h     |   4 +-
 fs/cifsd/transport_ipc.c     |  46 +-
 fs/cifsd/transport_ipc.h     |  34 +-
 fs/cifsd/transport_rdma.c    | 163 ++++---
 fs/cifsd/transport_tcp.c     |  27 +-
 fs/cifsd/unicode.c           |  40 +-
 fs/cifsd/unicode.h           |  80 ++--
 fs/cifsd/vfs.c               | 158 +++----
 fs/cifsd/vfs.h               |  89 ++--
 fs/cifsd/vfs_cache.c         |  57 +--
 fs/cifsd/vfs_cache.h         |  35 +-
 31 files changed, 1011 insertions(+), 1404 deletions(-)

diff --git a/fs/cifsd/auth.c b/fs/cifsd/auth.c
index 0a49c67a69d6..b9fd62f77e1c 100644
--- a/fs/cifsd/auth.c
+++ b/fs/cifsd/auth.c
@@ -64,7 +64,6 @@ static char NEGOTIATE_GSS_HEADER[AUTH_GSS_LENGTH] = {
 #endif
 };
 
-
 void ksmbd_copy_gss_neg_header(void *buf)
 {
 	memcpy(buf, NEGOTIATE_GSS_HEADER, AUTH_GSS_LENGTH);
@@ -107,9 +106,7 @@ smbhash(unsigned char *out, const unsigned char *in, unsigned char *key)
 	return 0;
 }
 
-static int ksmbd_enc_p24(unsigned char *p21,
-			 const unsigned char *c8,
-			 unsigned char *p24)
+static int ksmbd_enc_p24(unsigned char *p21, const unsigned char *c8, unsigned char *p24)
 {
 	int rc;
 
@@ -124,9 +121,8 @@ static int ksmbd_enc_p24(unsigned char *p21,
 }
 
 /* produce a md4 message digest from data of length n bytes */
-static int ksmbd_enc_md4(unsigned char *md4_hash,
-			 unsigned char *link_str,
-			 int link_len)
+static int ksmbd_enc_md4(unsigned char *md4_hash, unsigned char *link_str,
+		int link_len)
 {
 	int rc;
 	struct ksmbd_crypto_ctx *ctx;
@@ -157,10 +153,8 @@ static int ksmbd_enc_md4(unsigned char *md4_hash,
 	return rc;
 }
 
-static int ksmbd_enc_update_sess_key(unsigned char *md5_hash,
-				     char *nonce,
-				     char *server_challenge,
-				     int len)
+static int ksmbd_enc_update_sess_key(unsigned char *md5_hash, char *nonce,
+		char *server_challenge, int len)
 {
 	int rc;
 	struct ksmbd_crypto_ctx *ctx;
@@ -204,9 +198,8 @@ static int ksmbd_enc_update_sess_key(unsigned char *md5_hash,
  * @hmac:	source hmac value to be used for finding session key
  *
  */
-static int ksmbd_gen_sess_key(struct ksmbd_session *sess,
-			      char *hash,
-			      char *hmac)
+static int ksmbd_gen_sess_key(struct ksmbd_session *sess, char *hash,
+		char *hmac)
 {
 	struct ksmbd_crypto_ctx *ctx;
 	int rc = -EINVAL;
@@ -251,7 +244,7 @@ static int ksmbd_gen_sess_key(struct ksmbd_session *sess,
 }
 
 static int calc_ntlmv2_hash(struct ksmbd_session *sess, char *ntlmv2_hash,
-	char *dname)
+		char *dname)
 {
 	int ret = -EINVAL, len;
 	wchar_t *domain = NULL;
@@ -361,8 +354,9 @@ int ksmbd_auth_ntlm(struct ksmbd_session *sess, char *pw_buf)
 	if (strncmp(pw_buf, key, CIFS_AUTH_RESP_SIZE) != 0) {
 		ksmbd_debug(AUTH, "ntlmv1 authentication failed\n");
 		rc = -EINVAL;
-	} else
+	} else {
 		ksmbd_debug(AUTH, "ntlmv1 authentication pass\n");
+	}
 
 	return rc;
 }
@@ -376,10 +370,8 @@ int ksmbd_auth_ntlm(struct ksmbd_session *sess, char *pw_buf)
  *
  * Return:	0 on success, error number on error
  */
-int ksmbd_auth_ntlmv2(struct ksmbd_session *sess,
-		      struct ntlmv2_resp *ntlmv2,
-		      int blen,
-		      char *domain_name)
+int ksmbd_auth_ntlmv2(struct ksmbd_session *sess, struct ntlmv2_resp *ntlmv2,
+		int blen, char *domain_name)
 {
 	char ntlmv2_hash[CIFS_ENCPWD_SIZE];
 	char ntlmv2_rsp[CIFS_HMAC_MD5_HASH_SIZE];
@@ -457,9 +449,8 @@ int ksmbd_auth_ntlmv2(struct ksmbd_session *sess,
  *
  * Return:	0 on success, error number on error
  */
-static int __ksmbd_auth_ntlmv2(struct ksmbd_session *sess,
-			       char *client_nonce,
-			       char *ntlm_resp)
+static int __ksmbd_auth_ntlmv2(struct ksmbd_session *sess, char *client_nonce,
+		char *ntlm_resp)
 {
 	char sess_key[CIFS_SMB1_SESSKEY_SIZE] = {0};
 	int rc;
@@ -497,8 +488,7 @@ static int __ksmbd_auth_ntlmv2(struct ksmbd_session *sess,
  * Return:	0 on success, error number on error
  */
 int ksmbd_decode_ntlmssp_auth_blob(struct authenticate_message *authblob,
-				   int blob_len,
-				   struct ksmbd_session *sess)
+		int blob_len, struct ksmbd_session *sess)
 {
 	char *domain_name;
 	unsigned int lm_off, nt_off;
@@ -523,8 +513,8 @@ int ksmbd_decode_ntlmssp_auth_blob(struct authenticate_message *authblob,
 
 	/* process NTLM authentication */
 	if (nt_len == CIFS_AUTH_RESP_SIZE) {
-		if (le32_to_cpu(authblob->NegotiateFlags)
-			& NTLMSSP_NEGOTIATE_EXTENDED_SEC)
+		if (le32_to_cpu(authblob->NegotiateFlags) &
+		    NTLMSSP_NEGOTIATE_EXTENDED_SEC)
 			return __ksmbd_auth_ntlmv2(sess, (char *)authblob +
 				lm_off, (char *)authblob + nt_off);
 		else
@@ -533,8 +523,7 @@ int ksmbd_decode_ntlmssp_auth_blob(struct authenticate_message *authblob,
 	}
 
 	/* TODO : use domain name that imported from configuration file */
-	domain_name = smb_strndup_from_utf16(
-			(const char *)authblob +
+	domain_name = smb_strndup_from_utf16((const char *)authblob +
 			le32_to_cpu(authblob->DomainName.BufferOffset),
 			le16_to_cpu(authblob->DomainName.Length), true,
 			sess->conn->local_nls);
@@ -561,8 +550,7 @@ int ksmbd_decode_ntlmssp_auth_blob(struct authenticate_message *authblob,
  *
  */
 int ksmbd_decode_ntlmssp_neg_blob(struct negotiate_message *negblob,
-				  int blob_len,
-				  struct ksmbd_session *sess)
+		int blob_len, struct ksmbd_session *sess)
 {
 	if (blob_len < sizeof(struct negotiate_message)) {
 		ksmbd_debug(AUTH, "negotiate blob len %d too small\n",
@@ -618,7 +606,7 @@ ksmbd_build_ntlmssp_challenge_blob(struct challenge_message *chgblob,
 		flags |= NTLMSSP_REQUEST_TARGET;
 
 	if (sess->conn->use_spnego &&
-		(cflags & NTLMSSP_NEGOTIATE_EXTENDED_SEC))
+	    (cflags & NTLMSSP_NEGOTIATE_EXTENDED_SEC))
 		flags |= NTLMSSP_NEGOTIATE_EXTENDED_SEC;
 
 	chgblob->NegotiateFlags = cpu_to_le32(flags);
@@ -675,9 +663,8 @@ ksmbd_build_ntlmssp_challenge_blob(struct challenge_message *chgblob,
 }
 
 #ifdef CONFIG_SMB_SERVER_KERBEROS5
-int ksmbd_krb5_authenticate(struct ksmbd_session *sess,
-			char *in_blob, int in_len,
-			char *out_blob, int *out_len)
+int ksmbd_krb5_authenticate(struct ksmbd_session *sess, char *in_blob,
+		int in_len, char *out_blob, int *out_len)
 {
 	struct ksmbd_spnego_authen_response *resp;
 	struct ksmbd_user *user = NULL;
@@ -726,9 +713,8 @@ int ksmbd_krb5_authenticate(struct ksmbd_session *sess,
 	return retval;
 }
 #else
-int ksmbd_krb5_authenticate(struct ksmbd_session *sess,
-			char *in_blob, int in_len,
-			char *out_blob, int *out_len)
+int ksmbd_krb5_authenticate(struct ksmbd_session *sess, char *in_blob,
+		int in_len, char *out_blob, int *out_len)
 {
 	return -EOPNOTSUPP;
 }
@@ -743,11 +729,8 @@ int ksmbd_krb5_authenticate(struct ksmbd_session *sess,
  * @sig:	signature value generated for client request packet
  *
  */
-int ksmbd_sign_smb2_pdu(struct ksmbd_conn *conn,
-			char *key,
-			struct kvec *iov,
-			int n_vec,
-			char *sig)
+int ksmbd_sign_smb2_pdu(struct ksmbd_conn *conn, char *key, struct kvec *iov,
+		int n_vec, char *sig)
 {
 	struct ksmbd_crypto_ctx *ctx;
 	int rc = -EINVAL;
@@ -798,11 +781,8 @@ int ksmbd_sign_smb2_pdu(struct ksmbd_conn *conn,
  * @sig:	signature value generated for client request packet
  *
  */
-int ksmbd_sign_smb3_pdu(struct ksmbd_conn *conn,
-			char *key,
-			struct kvec *iov,
-			int n_vec,
-			char *sig)
+int ksmbd_sign_smb3_pdu(struct ksmbd_conn *conn, char *key, struct kvec *iov,
+		int n_vec, char *sig)
 {
 	struct ksmbd_crypto_ctx *ctx;
 	int rc = -EINVAL;
@@ -851,7 +831,7 @@ struct derivation {
 };
 
 static int generate_key(struct ksmbd_session *sess, struct kvec label,
-	struct kvec context, __u8 *key, unsigned int key_size)
+		struct kvec context, __u8 *key, unsigned int key_size)
 {
 	unsigned char zero = 0x0;
 	__u8 i[4] = {0, 0, 0, 1};
@@ -931,7 +911,7 @@ static int generate_key(struct ksmbd_session *sess, struct kvec label,
 }
 
 static int generate_smb3signingkey(struct ksmbd_session *sess,
-				   const struct derivation *signing)
+		const struct derivation *signing)
 {
 	int rc;
 	struct channel *chann;
@@ -995,7 +975,7 @@ struct derivation_twin {
 };
 
 static int generate_smb3encryptionkey(struct ksmbd_session *sess,
-	const struct derivation_twin *ptwin)
+		const struct derivation_twin *ptwin)
 {
 	int rc;
 
@@ -1062,9 +1042,8 @@ int ksmbd_gen_smb311_encryptionkey(struct ksmbd_session *sess)
 	return generate_smb3encryptionkey(sess, &twin);
 }
 
-int ksmbd_gen_preauth_integrity_hash(struct ksmbd_conn *conn,
-				     char *buf,
-				     __u8 *pi_hash)
+int ksmbd_gen_preauth_integrity_hash(struct ksmbd_conn *conn, char *buf,
+		__u8 *pi_hash)
 {
 	int rc = -1;
 	struct smb2_hdr *rcv_hdr = (struct smb2_hdr *)buf;
@@ -1073,14 +1052,15 @@ int ksmbd_gen_preauth_integrity_hash(struct ksmbd_conn *conn,
 	struct ksmbd_crypto_ctx *ctx = NULL;
 
 	if (conn->preauth_info->Preauth_HashId ==
-			SMB2_PREAUTH_INTEGRITY_SHA512) {
+	    SMB2_PREAUTH_INTEGRITY_SHA512) {
 		ctx = ksmbd_crypto_ctx_find_sha512();
 		if (!ctx) {
 			ksmbd_debug(AUTH, "could not alloc sha512 rc %d\n", rc);
 			goto out;
 		}
-	} else
+	} else {
 		goto out;
+	}
 
 	rc = crypto_shash_init(CRYPTO_SHA512(ctx));
 	if (rc) {
@@ -1144,10 +1124,8 @@ int ksmbd_gen_sd_hash(struct ksmbd_conn *conn, char *sd_buf, int len,
 	return rc;
 }
 
-static int ksmbd_get_encryption_key(struct ksmbd_conn *conn,
-				    __u64 ses_id,
-				    int enc,
-				    u8 *key)
+static int ksmbd_get_encryption_key(struct ksmbd_conn *conn, __u64 ses_id,
+		int enc, u8 *key)
 {
 	struct ksmbd_session *sess;
 	u8 *ses_enc_key;
@@ -1175,9 +1153,8 @@ static inline void smb2_sg_set_buf(struct scatterlist *sg, const void *buf,
 	sg_set_page(sg, addr, buflen, offset_in_page(buf));
 }
 
-static struct scatterlist *ksmbd_init_sg(struct kvec *iov,
-					 unsigned int nvec,
-					 u8 *sign)
+static struct scatterlist *ksmbd_init_sg(struct kvec *iov, unsigned int nvec,
+		u8 *sign)
 {
 	struct scatterlist *sg;
 	unsigned int assoc_data_len = sizeof(struct smb2_transform_hdr) - 24;
@@ -1190,8 +1167,9 @@ static struct scatterlist *ksmbd_init_sg(struct kvec *iov,
 			nr_entries[i] = ((kaddr + iov[i + 1].iov_len +
 					PAGE_SIZE - 1) >> PAGE_SHIFT) -
 				(kaddr >> PAGE_SHIFT);
-		} else
+		} else {
 			nr_entries[i]++;
+		}
 		total_entries += nr_entries[i];
 	}
 
@@ -1232,16 +1210,13 @@ static struct scatterlist *ksmbd_init_sg(struct kvec *iov,
 			sg_set_page(&sg[sg_idx++], virt_to_page(data), len,
 				    offset_in_page(data));
 		}
-
 	}
 	smb2_sg_set_buf(&sg[sg_idx], sign, SMB2_SIGNATURE_SIZE);
 	return sg;
 }
 
-int ksmbd_crypt_message(struct ksmbd_conn *conn,
-			struct kvec *iov,
-			unsigned int nvec,
-			int enc)
+int ksmbd_crypt_message(struct ksmbd_conn *conn, struct kvec *iov,
+		unsigned int nvec, int enc)
 {
 	struct smb2_transform_hdr *tr_hdr =
 		(struct smb2_transform_hdr *)iov[0].iov_base;
@@ -1319,9 +1294,9 @@ int ksmbd_crypt_message(struct ksmbd_conn *conn,
 		goto free_sg;
 	}
 
-	if (conn->cipher_type == SMB2_ENCRYPTION_AES128_GCM)
+	if (conn->cipher_type == SMB2_ENCRYPTION_AES128_GCM) {
 		memcpy(iv, (char *)tr_hdr->Nonce, SMB3_AES128GCM_NONCE);
-	else {
+	} else {
 		iv[0] = 3;
 		memcpy(iv + 1, (char *)tr_hdr->Nonce, SMB3_AES128CCM_NONCE);
 	}
diff --git a/fs/cifsd/buffer_pool.c b/fs/cifsd/buffer_pool.c
index 91c04879e931..ad2a2c885a2c 100644
--- a/fs/cifsd/buffer_pool.c
+++ b/fs/cifsd/buffer_pool.c
@@ -278,8 +278,7 @@ int ksmbd_init_buffer_pools(void)
 		goto out;
 
 	filp_cache = kmem_cache_create("ksmbd_file_cache",
-					sizeof(struct ksmbd_file), 0,
-					SLAB_HWCACHE_ALIGN, NULL);
+			sizeof(struct ksmbd_file), 0, SLAB_HWCACHE_ALIGN, NULL);
 	if (!filp_cache)
 		goto out;
 
diff --git a/fs/cifsd/connection.c b/fs/cifsd/connection.c
index bdfde5ca2ded..df56e347b709 100644
--- a/fs/cifsd/connection.c
+++ b/fs/cifsd/connection.c
@@ -119,7 +119,7 @@ int ksmbd_conn_try_dequeue_request(struct ksmbd_work *work)
 	int ret = 1;
 
 	if (list_empty(&work->request_entry) &&
-		list_empty(&work->async_request_entry))
+	    list_empty(&work->async_request_entry))
 		return 0;
 
 	atomic_dec(&conn->req_running);
@@ -201,10 +201,9 @@ int ksmbd_conn_write(struct ksmbd_work *work)
 	return 0;
 }
 
-int ksmbd_conn_rdma_read(struct ksmbd_conn *conn,
-				void *buf, unsigned int buflen,
-				u32 remote_key, u64 remote_offset,
-				u32 remote_len)
+int ksmbd_conn_rdma_read(struct ksmbd_conn *conn, void *buf,
+		unsigned int buflen, u32 remote_key, u64 remote_offset,
+		u32 remote_len)
 {
 	int ret = -EINVAL;
 
@@ -216,10 +215,9 @@ int ksmbd_conn_rdma_read(struct ksmbd_conn *conn,
 	return ret;
 }
 
-int ksmbd_conn_rdma_write(struct ksmbd_conn *conn,
-				void *buf, unsigned int buflen,
-				u32 remote_key, u64 remote_offset,
-				u32 remote_len)
+int ksmbd_conn_rdma_write(struct ksmbd_conn *conn, void *buf,
+		unsigned int buflen, u32 remote_key, u64 remote_offset,
+		u32 remote_len)
 {
 	int ret = -EINVAL;
 
@@ -251,7 +249,7 @@ bool ksmbd_conn_alive(struct ksmbd_conn *conn)
 	 * zero.
 	 */
 	if (server_conf.deadtime > 0 &&
-		time_after(jiffies, conn->last_active + server_conf.deadtime)) {
+	    time_after(jiffies, conn->last_active + server_conf.deadtime)) {
 		ksmbd_debug(CONN, "No response from client in %lu minutes\n",
 			server_conf.deadtime / SMB_ECHO_INTERVAL);
 		return false;
@@ -393,14 +391,13 @@ static void stop_sessions(void)
 		task = conn->transport->handler;
 		if (task)
 			ksmbd_debug(CONN, "Stop session handler %s/%d\n",
-				  task->comm,
-				  task_pid_nr(task));
+				  task->comm, task_pid_nr(task));
 		conn->status = KSMBD_SESS_EXITING;
 	}
 	read_unlock(&conn_list_lock);
 
 	if (!list_empty(&conn_list)) {
-		schedule_timeout_interruptible(HZ/10); /* 100ms */
+		schedule_timeout_interruptible(HZ / 10); /* 100ms */
 		goto again;
 	}
 }
diff --git a/fs/cifsd/connection.h b/fs/cifsd/connection.h
index 179fb9278999..021dada3d76d 100644
--- a/fs/cifsd/connection.h
+++ b/fs/cifsd/connection.h
@@ -116,17 +116,15 @@ struct ksmbd_conn_ops {
 struct ksmbd_transport_ops {
 	int (*prepare)(struct ksmbd_transport *t);
 	void (*disconnect)(struct ksmbd_transport *t);
-	int (*read)(struct ksmbd_transport *t,
-			char *buf, unsigned int size);
-	int (*writev)(struct ksmbd_transport *t,
-			struct kvec *iovs, int niov, int size,
-			bool need_invalidate_rkey, unsigned int remote_key);
-	int (*rdma_read)(struct ksmbd_transport *t,
-				void *buf, unsigned int len, u32 remote_key,
-				u64 remote_offset, u32 remote_len);
-	int (*rdma_write)(struct ksmbd_transport *t,
-				void *buf, unsigned int len, u32 remote_key,
-				u64 remote_offset, u32 remote_len);
+	int (*read)(struct ksmbd_transport *t, char *buf, unsigned int size);
+	int (*writev)(struct ksmbd_transport *t, struct kvec *iovs, int niov,
+			int size, bool need_invalidate_rkey,
+			unsigned int remote_key);
+	int (*rdma_read)(struct ksmbd_transport *t, void *buf, unsigned int len,
+			u32 remote_key, u64 remote_offset, u32 remote_len);
+	int (*rdma_write)(struct ksmbd_transport *t, void *buf,
+			unsigned int len, u32 remote_key, u64 remote_offset,
+			u32 remote_len);
 };
 
 struct ksmbd_transport {
@@ -146,14 +144,12 @@ struct ksmbd_conn *ksmbd_conn_alloc(void);
 void ksmbd_conn_free(struct ksmbd_conn *conn);
 bool ksmbd_conn_lookup_dialect(struct ksmbd_conn *c);
 int ksmbd_conn_write(struct ksmbd_work *work);
-int ksmbd_conn_rdma_read(struct ksmbd_conn *conn,
-				void *buf, unsigned int buflen,
-				u32 remote_key, u64 remote_offset,
-				u32 remote_len);
-int ksmbd_conn_rdma_write(struct ksmbd_conn *conn,
-				void *buf, unsigned int buflen,
-				u32 remote_key, u64 remote_offset,
-				u32 remote_len);
+int ksmbd_conn_rdma_read(struct ksmbd_conn *conn, void *buf,
+		unsigned int buflen, u32 remote_key, u64 remote_offset,
+		u32 remote_len);
+int ksmbd_conn_rdma_write(struct ksmbd_conn *conn, void *buf,
+		unsigned int buflen, u32 remote_key, u64 remote_offset,
+		u32 remote_len);
 
 void ksmbd_conn_enqueue_request(struct ksmbd_work *work);
 int ksmbd_conn_try_dequeue_request(struct ksmbd_work *work);
diff --git a/fs/cifsd/glob.h b/fs/cifsd/glob.h
index 2dc3f603e837..27500afbeaf5 100644
--- a/fs/cifsd/glob.h
+++ b/fs/cifsd/glob.h
@@ -24,13 +24,13 @@ extern int ksmbd_caseless_search;
 #define DATA_STREAM	1
 #define DIR_STREAM	2
 
-#define KSMBD_DEBUG_SMB         (1 << 0)
-#define KSMBD_DEBUG_AUTH        (1 << 1)
-#define KSMBD_DEBUG_VFS         (1 << 2)
-#define KSMBD_DEBUG_OPLOCK      (1 << 3)
-#define KSMBD_DEBUG_IPC         (1 << 4)
-#define KSMBD_DEBUG_CONN        (1 << 5)
-#define KSMBD_DEBUG_RDMA        (1 << 6)
+#define KSMBD_DEBUG_SMB		BIT(0)
+#define KSMBD_DEBUG_AUTH	BIT(1)
+#define KSMBD_DEBUG_VFS		BIT(2)
+#define KSMBD_DEBUG_OPLOCK      BIT(3)
+#define KSMBD_DEBUG_IPC         BIT(4)
+#define KSMBD_DEBUG_CONN        BIT(5)
+#define KSMBD_DEBUG_RDMA        BIT(6)
 #define KSMBD_DEBUG_ALL         (KSMBD_DEBUG_SMB | KSMBD_DEBUG_AUTH |	\
 				KSMBD_DEBUG_VFS | KSMBD_DEBUG_OPLOCK |	\
 				KSMBD_DEBUG_IPC | KSMBD_DEBUG_CONN |	\
diff --git a/fs/cifsd/ksmbd_server.h b/fs/cifsd/ksmbd_server.h
index 01eaf9ec4fde..c5181a2702ff 100644
--- a/fs/cifsd/ksmbd_server.h
+++ b/fs/cifsd/ksmbd_server.h
@@ -29,11 +29,11 @@ struct ksmbd_heartbeat {
  * Global config flags.
  */
 #define KSMBD_GLOBAL_FLAG_INVALID		(0)
-#define KSMBD_GLOBAL_FLAG_SMB2_LEASES		(1 << 0)
-#define KSMBD_GLOBAL_FLAG_CACHE_TBUF		(1 << 1)
-#define KSMBD_GLOBAL_FLAG_CACHE_RBUF		(1 << 2)
-#define KSMBD_GLOBAL_FLAG_SMB2_ENCRYPTION	(1 << 3)
-#define KSMBD_GLOBAL_FLAG_DURABLE_HANDLE	(1 << 4)
+#define KSMBD_GLOBAL_FLAG_SMB2_LEASES		BIT(0)
+#define KSMBD_GLOBAL_FLAG_CACHE_TBUF		BIT(1)
+#define KSMBD_GLOBAL_FLAG_CACHE_RBUF		BIT(2)
+#define KSMBD_GLOBAL_FLAG_SMB2_ENCRYPTION	BIT(3)
+#define KSMBD_GLOBAL_FLAG_DURABLE_HANDLE	BIT(4)
 
 struct ksmbd_startup_request {
 	__u32	flags;
@@ -204,66 +204,66 @@ enum KSMBD_TREE_CONN_STATUS {
  * User config flags.
  */
 #define KSMBD_USER_FLAG_INVALID		(0)
-#define KSMBD_USER_FLAG_OK		(1 << 0)
-#define KSMBD_USER_FLAG_BAD_PASSWORD	(1 << 1)
-#define KSMBD_USER_FLAG_BAD_UID		(1 << 2)
-#define KSMBD_USER_FLAG_BAD_USER	(1 << 3)
-#define KSMBD_USER_FLAG_GUEST_ACCOUNT	(1 << 4)
+#define KSMBD_USER_FLAG_OK		BIT(0)
+#define KSMBD_USER_FLAG_BAD_PASSWORD	BIT(1)
+#define KSMBD_USER_FLAG_BAD_UID		BIT(2)
+#define KSMBD_USER_FLAG_BAD_USER	BIT(3)
+#define KSMBD_USER_FLAG_GUEST_ACCOUNT	BIT(4)
 
 /*
  * Share config flags.
  */
 #define KSMBD_SHARE_FLAG_INVALID		(0)
-#define KSMBD_SHARE_FLAG_AVAILABLE		(1 << 0)
-#define KSMBD_SHARE_FLAG_BROWSEABLE		(1 << 1)
-#define KSMBD_SHARE_FLAG_WRITEABLE		(1 << 2)
-#define KSMBD_SHARE_FLAG_READONLY		(1 << 3)
-#define KSMBD_SHARE_FLAG_GUEST_OK		(1 << 4)
-#define KSMBD_SHARE_FLAG_GUEST_ONLY		(1 << 5)
-#define KSMBD_SHARE_FLAG_STORE_DOS_ATTRS	(1 << 6)
-#define KSMBD_SHARE_FLAG_OPLOCKS		(1 << 7)
-#define KSMBD_SHARE_FLAG_PIPE			(1 << 8)
-#define KSMBD_SHARE_FLAG_HIDE_DOT_FILES		(1 << 9)
-#define KSMBD_SHARE_FLAG_INHERIT_SMACK		(1 << 10)
-#define KSMBD_SHARE_FLAG_INHERIT_OWNER		(1 << 11)
-#define KSMBD_SHARE_FLAG_STREAMS		(1 << 12)
-#define KSMBD_SHARE_FLAG_FOLLOW_SYMLINKS	(1 << 13)
-#define KSMBD_SHARE_FLAG_ACL_XATTR		(1 << 14)
+#define KSMBD_SHARE_FLAG_AVAILABLE		BIT(0)
+#define KSMBD_SHARE_FLAG_BROWSEABLE		BIT(1)
+#define KSMBD_SHARE_FLAG_WRITEABLE		BIT(2)
+#define KSMBD_SHARE_FLAG_READONLY		BIT(3)
+#define KSMBD_SHARE_FLAG_GUEST_OK		BIT(4)
+#define KSMBD_SHARE_FLAG_GUEST_ONLY		BIT(5)
+#define KSMBD_SHARE_FLAG_STORE_DOS_ATTRS	BIT(6)
+#define KSMBD_SHARE_FLAG_OPLOCKS		BIT(7)
+#define KSMBD_SHARE_FLAG_PIPE			BIT(8)
+#define KSMBD_SHARE_FLAG_HIDE_DOT_FILES		BIT(9)
+#define KSMBD_SHARE_FLAG_INHERIT_SMACK		BIT(10)
+#define KSMBD_SHARE_FLAG_INHERIT_OWNER		BIT(11)
+#define KSMBD_SHARE_FLAG_STREAMS		BIT(12)
+#define KSMBD_SHARE_FLAG_FOLLOW_SYMLINKS	BIT(13)
+#define KSMBD_SHARE_FLAG_ACL_XATTR		BIT(14)
 
 /*
  * Tree connect request flags.
  */
 #define KSMBD_TREE_CONN_FLAG_REQUEST_SMB1	(0)
-#define KSMBD_TREE_CONN_FLAG_REQUEST_IPV6	(1 << 0)
-#define KSMBD_TREE_CONN_FLAG_REQUEST_SMB2	(1 << 1)
+#define KSMBD_TREE_CONN_FLAG_REQUEST_IPV6	BIT(0)
+#define KSMBD_TREE_CONN_FLAG_REQUEST_SMB2	BIT(1)
 
 /*
  * Tree connect flags.
  */
-#define KSMBD_TREE_CONN_FLAG_GUEST_ACCOUNT	(1 << 0)
-#define KSMBD_TREE_CONN_FLAG_READ_ONLY		(1 << 1)
-#define KSMBD_TREE_CONN_FLAG_WRITABLE		(1 << 2)
-#define KSMBD_TREE_CONN_FLAG_ADMIN_ACCOUNT	(1 << 3)
+#define KSMBD_TREE_CONN_FLAG_GUEST_ACCOUNT	BIT(0)
+#define KSMBD_TREE_CONN_FLAG_READ_ONLY		BIT(1)
+#define KSMBD_TREE_CONN_FLAG_WRITABLE		BIT(2)
+#define KSMBD_TREE_CONN_FLAG_ADMIN_ACCOUNT	BIT(3)
 
 /*
  * RPC over IPC.
  */
-#define KSMBD_RPC_METHOD_RETURN		(1 << 0)
-#define KSMBD_RPC_SRVSVC_METHOD_INVOKE	(1 << 1)
-#define KSMBD_RPC_SRVSVC_METHOD_RETURN	((1 << 1) | KSMBD_RPC_METHOD_RETURN)
-#define KSMBD_RPC_WKSSVC_METHOD_INVOKE	(1 << 2)
-#define KSMBD_RPC_WKSSVC_METHOD_RETURN	((1 << 2) | KSMBD_RPC_METHOD_RETURN)
-#define KSMBD_RPC_IOCTL_METHOD		((1 << 3) | KSMBD_RPC_METHOD_RETURN)
-#define KSMBD_RPC_OPEN_METHOD		(1 << 4)
-#define KSMBD_RPC_WRITE_METHOD		(1 << 5)
-#define KSMBD_RPC_READ_METHOD		((1 << 6) | KSMBD_RPC_METHOD_RETURN)
-#define KSMBD_RPC_CLOSE_METHOD		(1 << 7)
-#define KSMBD_RPC_RAP_METHOD		((1 << 8) | KSMBD_RPC_METHOD_RETURN)
-#define KSMBD_RPC_RESTRICTED_CONTEXT	(1 << 9)
-#define KSMBD_RPC_SAMR_METHOD_INVOKE	(1 << 10)
-#define KSMBD_RPC_SAMR_METHOD_RETURN	((1 << 10) | KSMBD_RPC_METHOD_RETURN)
-#define KSMBD_RPC_LSARPC_METHOD_INVOKE	(1 << 11)
-#define KSMBD_RPC_LSARPC_METHOD_RETURN	((1 << 11) | KSMBD_RPC_METHOD_RETURN)
+#define KSMBD_RPC_METHOD_RETURN		BIT(0)
+#define KSMBD_RPC_SRVSVC_METHOD_INVOKE	BIT(1)
+#define KSMBD_RPC_SRVSVC_METHOD_RETURN	(KSMBD_RPC_SRVSVC_METHOD_INVOKE | KSMBD_RPC_METHOD_RETURN)
+#define KSMBD_RPC_WKSSVC_METHOD_INVOKE	BIT(2)
+#define KSMBD_RPC_WKSSVC_METHOD_RETURN	(KSMBD_RPC_WKSSVC_METHOD_INVOKE | KSMBD_RPC_METHOD_RETURN)
+#define KSMBD_RPC_IOCTL_METHOD		(BIT(3) | KSMBD_RPC_METHOD_RETURN)
+#define KSMBD_RPC_OPEN_METHOD		BIT(4)
+#define KSMBD_RPC_WRITE_METHOD		BIT(5)
+#define KSMBD_RPC_READ_METHOD		(BIT(6) | KSMBD_RPC_METHOD_RETURN)
+#define KSMBD_RPC_CLOSE_METHOD		BIT(7)
+#define KSMBD_RPC_RAP_METHOD		(BIT(8) | KSMBD_RPC_METHOD_RETURN)
+#define KSMBD_RPC_RESTRICTED_CONTEXT	BIT(9)
+#define KSMBD_RPC_SAMR_METHOD_INVOKE	BIT(10)
+#define KSMBD_RPC_SAMR_METHOD_RETURN	(KSMBD_RPC_SAMR_METHOD_INVOKE | KSMBD_RPC_METHOD_RETURN)
+#define KSMBD_RPC_LSARPC_METHOD_INVOKE	BIT(11)
+#define KSMBD_RPC_LSARPC_METHOD_RETURN	(KSMBD_RPC_LSARPC_METHOD_INVOKE | KSMBD_RPC_METHOD_RETURN)
 
 #define KSMBD_RPC_OK			0
 #define KSMBD_RPC_EBAD_FUNC		0x00000001
diff --git a/fs/cifsd/mgmt/user_session.h b/fs/cifsd/mgmt/user_session.h
index 0a6eb21647ab..68018f0f5c0b 100644
--- a/fs/cifsd/mgmt/user_session.h
+++ b/fs/cifsd/mgmt/user_session.h
@@ -26,12 +26,12 @@ struct channel {
 
 struct preauth_session {
 	__u8			Preauth_HashValue[PREAUTH_HASHVALUE_SIZE];
-	uint64_t		sess_id;
+	u64			sess_id;
 	struct list_head	list_entry;
 };
 
 struct ksmbd_session {
-	uint64_t			id;
+	u64				id;
 
 	struct ksmbd_user		*user;
 	struct ksmbd_conn		*conn;
diff --git a/fs/cifsd/misc.c b/fs/cifsd/misc.c
index 189b90414976..b6f3f0818217 100644
--- a/fs/cifsd/misc.c
+++ b/fs/cifsd/misc.c
@@ -78,9 +78,9 @@ static inline int is_char_allowed(char ch)
 {
 	/* check for control chars, wildcards etc. */
 	if (!(ch & 0x80) &&
-		(ch <= 0x1f ||
-		 ch == '?' || ch == '"' || ch == '<' ||
-		 ch == '>' || ch == '|' || ch == '*'))
+	    (ch <= 0x1f ||
+	     ch == '?' || ch == '"' || ch == '<' ||
+	     ch == '>' || ch == '|' || ch == '*'))
 		return 0;
 
 	return 1;
@@ -268,8 +268,7 @@ char *convert_to_unix_name(struct ksmbd_share_config *share, char *name)
 }
 
 char *ksmbd_convert_dir_info_name(struct ksmbd_dir_info *d_info,
-				  const struct nls_table *local_nls,
-				  int *conv_len)
+		const struct nls_table *local_nls, int *conv_len)
 {
 	char *conv;
 	int  sz = min(4 * d_info->name_len, PATH_MAX);
diff --git a/fs/cifsd/ndr.c b/fs/cifsd/ndr.c
index aa0cb8fc555d..1838fc2b1d7c 100644
--- a/fs/cifsd/ndr.c
+++ b/fs/cifsd/ndr.c
@@ -159,8 +159,9 @@ int ndr_encode_dos_attr(struct ndr *n, struct xattr_dos_attrib *da)
 		ndr_write_int32(n, da->ea_size);
 		ndr_write_int64(n, da->size);
 		ndr_write_int64(n, da->alloc_size);
-	} else
+	} else {
 		ndr_write_int64(n, da->itime);
+	}
 	ndr_write_int64(n, da->create_time);
 	if (da->version == 3)
 		ndr_write_int64(n, da->change_time);
@@ -248,15 +249,17 @@ int ndr_encode_posix_acl(struct ndr *n, struct inode *inode,
 		/* ACL ACCESS */
 		ndr_write_int32(n, ref_id);
 		ref_id += 4;
-	} else
+	} else {
 		ndr_write_int32(n, 0);
+	}
 
 	if (def_acl) {
 		/* DEFAULT ACL ACCESS */
 		ndr_write_int32(n, ref_id);
 		ref_id += 4;
-	} else
+	} else {
 		ndr_write_int32(n, 0);
+	}
 
 	ndr_write_int64(n, from_kuid(&init_user_ns, inode->i_uid));
 	ndr_write_int64(n, from_kgid(&init_user_ns, inode->i_gid));
diff --git a/fs/cifsd/netmisc.c b/fs/cifsd/netmisc.c
index 6f7dd78348a3..55393667abcc 100644
--- a/fs/cifsd/netmisc.c
+++ b/fs/cifsd/netmisc.c
@@ -1,7 +1,5 @@
 // SPDX-License-Identifier: GPL-2.0-or-later
 /*
- *   fs/ksmbd/netmisc.c
- *
  *   Copyright (c) International Business Machines  Corp., 2002,2008
  *   Author(s): Steve French (sfrench@us.ibm.com)
  *
